javax.mail

## Class Authenticator

- java.lang.Object
- - javax.mail.Authenticator

-     public class Authenticator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Authenticator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PasswordAuthentication` | `getPasswordAuthentication()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Authenticator

          public Authenticator()

  - ### Method Detail

    - #### getPasswordAuthentication

          protected PasswordAuthentication getPasswordAuthentication()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.